Private Member Functions

# NIHIndustryTile Class Reference

Inheritance diagram for NIHIndustryTile:

## Private Member Functions
bool | IsInspectable (uint index) const
| Is the item with the given index inspectable?
uint | GetParent (uint index) const
| Get the parent "window_number" of a given instance.
const void * | GetInstance (uint index) const
| Get the instance given an index.
const void * | GetSpec (uint index) const
| Get (NewGRF) specs given an index.
void | SetStringParameters (uint index) const
| Set the string parameters to write the right data for a STRINGn.
uint32 | GetGRFID (uint index) const
| Get the GRFID of the file that includes this item.
void | Resolve (ResolverObject *ro, uint32 index) const

## Detailed Description

Definition at line 225 of file newgrf_debug_data.h.

## Member Function Documentation

uint32 NIHIndustryTile::GetGRFID | ( | uint | index | ) | const`[inline, private, virtual]`

Get the GRFID of the file that includes this item.

Parameters:

  | index | index to check.

Returns:
  GRFID of the item. 0 means that the item is not inspectable.

Implements NIHelper.

Definition at line 231 of file newgrf_debug_data.h.

References GetIndustryGfx(), GetIndustryTileSpec(), IndustryTileSpec::grf_prop, GRFFilePropsBase< Tcnt >::grffile, and IsInspectable().

const void* NIHIndustryTile::GetInstance | ( | uint | index | ) | const`[inline, private, virtual]`

Get the instance given an index.

Parameters:

  | index | the index to get the instance for.

Returns:
  the instance.

Implements NIHelper.

Definition at line 228 of file newgrf_debug_data.h.

uint NIHIndustryTile::GetParent | ( | uint | index | ) | const`[inline, private, virtual]`

Get the parent "window_number" of a given instance.

Parameters:

  | index | the instance to get the parent for.

Returns:
  the parent's window_number or UINT32_MAX if there is none.

Implements NIHelper.

Definition at line 227 of file newgrf_debug_data.h.

References GetIndustryIndex(), and GetInspectWindowNumber().

const void* NIHIndustryTile::GetSpec | ( | uint | index | ) | const`[inline, private, virtual]`

Get (NewGRF) specs given an index.

Parameters:

  | index | the index to get the specs for for.

Returns:
  the specs.

Implements NIHelper.

Definition at line 229 of file newgrf_debug_data.h.

References GetIndustryGfx(), and GetIndustryTileSpec().

bool NIHIndustryTile::IsInspectable | ( | uint | index | ) | const`[inline, private, virtual]`

Is the item with the given index inspectable?

Parameters:

  | index | the index to check.

Returns:
  true iff the index is inspectable.

Implements NIHelper.

Definition at line 226 of file newgrf_debug_data.h.

References GetIndustryGfx(), GetIndustryTileSpec(), IndustryTileSpec::grf_prop, and GRFFilePropsBase< Tcnt >::grffile.

Referenced by GetGRFID().

void NIHIndustryTile::SetStringParameters | ( | uint | index | ) | const`[inline, private, virtual]`

Set the string parameters to write the right data for a STRINGn.

Parameters:

  | index | the index to get the string parameters for.

Implements NIHelper.

Definition at line 230 of file newgrf_debug_data.h.

References GetIndustryIndex(), and NIHelper::SetObjectAtStringParameters().

The documentation for this class was generated from the following file:

- src/table/newgrf_debug_data.h